org.freedesktop.icons

## Class Helper

- Object
- - org.freedesktop.icons.Helper

-     public class Helper
      extends Object

  Internal infrastructure supporting named icons.
  Since:
    Not public
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getName(Icon icon)` Get the name of the icon expected by GTK.
    `static Icon` | `instanceFor(String name)` Look up the constant object Icon wrapper for the supplied String id as used in the underlying library.

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public static String getName(Icon icon)

      Get the name of the icon expected by GTK.

    - #### instanceFor

          public static Icon instanceFor(String name)

      Look up the constant object Icon wrapper for the supplied String id as used in the underlying library. Returns `null` if not found.